linux: 3.13.0-36.63 -proposed tracker

Bug #1365052 reported by Joseph Salisbury on 2014-09-03
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Zygmunt Krynicki
Prepare-package
Medium
Joseph Salisbury
Prepare-package-meta
Medium
Joseph Salisbury
Prepare-package-signed
Medium
Joseph Salisbury
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Trusty
Medium
Unassigned

Bug Description

This bug is for tracking the 3.13.0-36.63 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Wednesday, 03. September 2014 16:10 UTC
kernel-stable-Prepare-package-end:Thursday, 04. September 2014 05:07 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 04. September 2014 05:07 UTC
ppa-package-testing-start:Thursday, 04. September 2014 05:07 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 04. September 2014 19:44 UTC
kernel-stable-Verification-testing-start:Thursday, 04. September 2014 21:06 UTC
kernel-stable-Certification-testing-start:Thursday, 04. September 2014 21:06 UTC
kernel-stable-Security-signoff-start:Thursday, 04. September 2014 21:06 UTC
kernel-stable-Regression-testing-start:Thursday, 04. September 2014 21:06 UTC
kernel-stable-Regression-testing-end:Wednesday, 10. September 2014 09:01 UTC
kernel-stable-Certification-testing-end:Thursday, 11. September 2014 08:02 UTC
kernel-stable-Verification-testing-end:Friday, 19. September 2014 14:02 UTC
kernel-stable-Promote-to-updates-start:Monday, 22. September 2014 22:04 UTC
kernel-stable-Security-signoff-end:Monday, 22. September 2014 22:04 UTC
kernel-stable-Promote-to-updates-end:Monday, 22. September 2014 23:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 23. September 2014 00:03 UTC

tags: added: kernel-release-tracking-bug
tags: added: trusty
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Trusty):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-keystone - bug 1365272

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-trusty (precise) - bug 1365274

description: updated
Chris J Arges (arges) wrote :

Promoted to proposed:
 linux | 3.13.0-36.63 | trusty-proposed | source
 linux-meta | 3.13.0.36.43 | trusty-proposed | source
 linux-signed | 3.13.0-36.63 | trusty-proposed | source

Brad Figg (brad-figg) on 2014-09-04
description: updated
Brad Figg (brad-figg) on 2014-09-04
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Trusty):
status: New → Confirmed
Para Siva (psivaa) on 2014-09-10
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2014-09-10
description: updated
Yung Shen (kaxing) on 2014-09-11
tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2014-09-11
description: updated
Brad Figg (brad-figg) on 2014-09-19
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2014-09-22
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (5.8 KiB)

This bug was fixed in the package linux - 3.13.0-36.63

---------------
linux (3.13.0-36.63) trusty; urgency=low

  [ Joseph Salisbury ]

  * Release Tracking Bug
    - LP: #1365052

  [ Feng Kan ]

  * SAUCE: (no-up) irqchip:gic: change access of gicc_ctrl register to read
    modify write.
    - LP: #1357527
  * SAUCE: (no-up) arm64: optimized copy_to_user and copy_from_user
    assembly code
    - LP: #1358949

  [ Ming Lei ]

  * SAUCE: (no-up) Drop APM X-Gene SoC Ethernet driver
    - LP: #1360140
  * [Config] Drop XGENE entries
    - LP: #1360140
  * [Config] CONFIG_NET_XGENE=m for arm64
    - LP: #1360140

  [ Stefan Bader ]

  * SAUCE: Add compat macro for skb_get_hash
    - LP: #1358162
  * SAUCE: bcache: prevent crash on changing writeback_running
    - LP: #1357295

  [ Suman Tripathi ]

  * SAUCE: (no-up) arm64: Fix the csr-mask for APM X-Gene SoC AHCI SATA PHY
    clock DTS node.
    - LP: #1359489
  * SAUCE: (no-up) ahci_xgene: Skip the PHY and clock initialization if
    already configured by the firmware.
    - LP: #1359501
  * SAUCE: (no-up) ahci_xgene: Fix the link down in first attempt for the
    APM X-Gene SoC AHCI SATA host controller driver.
    - LP: #1359507

  [ Tuan Phan ]

  * SAUCE: (no-up) pci-xgene-msi: fixed deadlock in irq_set_affinity
    - LP: #1359514

  [ Upstream Kernel Changes ]

  * iwlwifi: mvm: Add a missed beacons threshold
    - LP: #1349572
  * mac80211: reset probe_send_count also in HW_CONNECTION_MONITOR case
    - LP: #1349572
  * genirq: Add an accessor for IRQ_PER_CPU flag
    - LP: #1357527
  * arm64: perf: add support for percpu pmu interrupt
    - LP: #1357527
  * cifs: sanity check length of data to send before sending
    - LP: #1283101
  * KVM: nVMX: Pass vmexit parameters to nested_vmx_vmexit
    - LP: #1329434
  * KVM: nVMX: Rework interception of IRQs and NMIs
    - LP: #1329434
  * KVM: vmx: disable APIC virtualization in nested guests
    - LP: #1329434
  * HID: Add transport-driver functions to the USB HID interface.
    - LP: #1353021
  * ahci_xgene: Removing NCQ support from the APM X-Gene SoC AHCI SATA Host
    Controller driver.
    - LP: #1358498
  * fold d_kill() and d_free()
    - LP: #1354234
  * fold try_prune_one_dentry()
    - LP: #1354234
  * new helper: dentry_free()
    - LP: #1354234
  * expand the call of dentry_lru_del() in dentry_kill()
    - LP: #1354234
  * dentry_kill(): don't try to remove from shrink list
    - LP: #1354234
  * don't remove from shrink list in select_collect()
    - LP: #1354234
  * more graceful recovery in umount_collect()
    - LP: #1354234
  * dcache: don't need rcu in shrink_dentry_list()
    - LP: #1354234
  * lift the "already marked killed" case into shrink_dentry_list()
  * split dentry_kill()
    - LP: #1354234
  * expand dentry_kill(dentry, 0) in shrink_dentry_list()
    - LP: #1354234
  * shrink_dentry_list(): take parent's ->d_lock earlier
    - LP: #1354234
  * dealing with the rest of shrink_dentry_list() livelock
    - LP: #1354234
  * dentry_kill() doesn't need the second argument now
    - LP: #1354234
  * dcache: add missing lockdep annotation
    - LP: #1354234
  * fs: convert use of typedef ctl_table to struct ctl_table
 ...

Read more...

Changed in linux (Ubuntu Trusty):
status: Confirmed → Fix Released
Brad Figg (brad-figg) on 2014-09-22
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers